(function($){
  var timer = 10000;
  var geocoder = 0;
  var pinImages = new Array();
  var marker = new Array();
  var InfoWindows = new Array();
  var map = 0;
  var $_GET = $_GET();
  var is_keyboard = false;
  var is_landscape = false;
  var initial_screen_size = window.innerHeight;
  var isMobile = false; //initiate as false
  // device detection
  if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent)
      || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4))) {
      isMobile = true;
  }

  /* Android */
  window.addEventListener("resize", function() {
      is_keyboard = (window.innerHeight < initial_screen_size);
      is_landscape = (screen.height < screen.width);

      updateViews();
  }, false);

  /* iOS */
  $("textarea").bind("focus blur",function() {
      $(window).scrollTop(10);
      is_keyboard = $(window).scrollTop() > 0;
      $(window).scrollTop(0);
      updateViews();
  });

  function updateViews() {
    //alert(is_keyboard+" "+is_landscape);
    if(isMobile) {
      if(is_keyboard) {
        $('.lightbox').addClass('keyboard');
      } else {
        $('.lightbox').removeClass('keyboard');
      }
    }
  }

  $(document).ready(function(){
    initDOM();
  });

  function initDOM() {
    //alert('hello world');
    initEvents();
    init_timeout();
    init_allocate();
    init_tooltip();
    init_datetimepicker();

    if(getParmFromUrl('page')) {
      init_Box();
    }

    $('.frSearch').on('focus', function() {
      $('.frSearch').html('');
      before = $(this).html();
    }).on('blur keyup paste', function() {
      if (before != $(this).html()) { $(this).trigger('change'); }
    });

    $('.frSearch').on('change', function() {
      text = $('.frSearch').html();
      $.post("Plugins/AjaxHandler/onDemand.php",{action:'getFriends',text:text},function(data) {
        $('#friendsContent').html(data);
        initEvents();
      });
    });
  }

  function init_allocate() {
    //allocate
    if($('#side').hasClass('allocate')) {
      initGeolocation();
    }

    setTimeout(function() {
      init_allocate();
    },  900000);
  }

  function initGeolocation() {
    if( navigator.geolocation )
    {
       // Call getCurrentPosition with success and failure callbacks
       navigator.geolocation.getCurrentPosition( success, fail );
    }
    else
    {
       fail();
    }
  }

  function success(position)  {
    var latlng = {lat: parseFloat(position.coords.latitude), lng: parseFloat(position.coords.longitude)};
    codeLocation(latlng);
  }

  function fail() {
    $('#side').removeClass('allocate');
  }

  function codeLocation(latlng) {
    if(!geocoder) {
      geocoder = new google.maps.Geocoder();
    }

    geocoder.geocode({'location': latlng}, function(results, status) {
      if (status === 'OK') {
        str = results[0].address_components[1]['long_name'] + " " + results[0].address_components[0]['long_name'];
        plz = results[0].address_components[6]['long_name'];
        ort = results[0].address_components[4]['long_name'];
        $.post("Plugins/AjaxHandler/profil.php",{action:'setAllocate',lat:latlng['lat'],lng:latlng['lng'],str:str,plz:plz,ort:ort},function(data) {
        });
      } else {
        //window.alert('Geocoder failed due to: ' + status);
      }
    });
  }

  function codeAddress(address, todo) {
    if(!geocoder) {
      geocoder = new google.maps.Geocoder();
    }

    geocoder.geocode( { 'address': address}, function(results, status) {
      if (status == 'OK') {

        var geodata = [
            results[0].geometry.location.lat(),
            results[0].geometry.location.lng(),
        ];

        if(todo == "userPosition") {
          $('.profilBox .adressDaten').css('border','');
          $.post("Plugins/AjaxHandler/profil.php",{action:'setPosition',lat:geodata[0],lng:geodata[1]},function(data) {
            $('.profilBox .adressDaten').addClass('PositionOk');
          });
        }

        if(todo == "eventPosition") {
          $('.eventBox .adressDaten').css('border','');
          todoid = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'setEvtPosition',lat:geodata[0],lng:geodata[1],evtid:todoid},function(data) {
            $('.eventBox .adressDaten').addClass('PositionOk');
          });

          $('#smallMap').attr('data-lat',geodata[0]);
          $('#smallMap').attr('data-lng',geodata[1]);
          init_map('smallMap');
        }

        if(todo == "enrPosition") {
          $('.enrBox .adressDaten').css('border','');
          todoid = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'setenrPosition',lat:geodata[0],lng:geodata[1],evtid:todoid},function(data) {
            $('.enrBox .adressDaten').addClass('PositionOk');
          });

          $('#smallMap').attr('data-lat',geodata[0]);
          $('#smallMap').attr('data-lng',geodata[1]);
          init_map('smallMap');
        }

      } else {
        if(todo == "userPosition") {
          $('profilBox .adressDaten').css('border','1px solid #f00');
          $.post("Plugins/AjaxHandler/profil.php",{action:'setPosition',lat:'0',lng:'0'},function(data) {
          });
        }

        if(todo == "eventPosition") {
          $('.eventBox .adressDaten').css('border','1px solid #f00');
          $('.eventBox .adressDaten').removeClass('PositionOk');
          todoid = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'setEvtPosition',lat:'0',lng:'0',evtid:todoid},function(data) {
          });
        }

        if(todo == "enrPosition") {
          $('.enrBox .adressDaten').css('border','1px solid #f00');
          $('.enrBox .adressDaten').removeClass('PositionOk');
          todoid = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'setenrPosition',lat:'0',lng:'0',evtid:todoid},function(data) {
          });
        }
      }
    });
  }

  function init_timeout() {
    if($('.chatBox').css('display') == 'block' && $('.blackField').css('display') == 'block') {
      timer = 3000;
    } else {
      timer = 10000;
    }

    setTimeout(function() {
      //msgIncome
        $.post("Plugins/AjaxHandler/msg.php",{action:'getMsg'},function(data) {

          $('#income').html(data);
          $('#income > .msgIncome').each(function( index ) {

            $('#msg > ul').prepend($(this));

            if($('#msg > .count').length == 0) {
              $('#msg').prepend('<span class="count">0</span>');
            }

            countPlusEins($('#msg > .count'));
          });

          count = 0;
          $('#income > .chatLine').each(function( index ) {
            //if open chatBox and id == chatbox id append
            if($('.chatBox').css('display') == 'block' && $('.blackField').css('display') == 'block' && $(this).attr('data-vonId') == $('#chatid').attr('data-id')) {
              $('#chatBoxList').append($(this));
              id = $(this).attr('data-id');
              $.post("Plugins/AjaxHandler/chat.php",{action:'getChatOk',id:id},function(data) {
              });

              var chatBoxList = $('#chatBoxList');
              var height = chatBoxList[0].scrollHeight;
              chatBoxList.scrollTop(height);
            } else {
              count++;
            }
          });

          if(count == 0) {
            $('#mail > .count').remove();
          } else {
            if($('#mail > .count').length == 0) {
              $('#mail').prepend('<span class="count">'+count+'</span>');
            } else {
              $('#mail > .count').html(count);
            }
          }

          if($('.msgBox').css('display') == 'block' && $('.blackField').css('display') == 'block') {
            $('#mailBoxList').html($('#mailBoxListIncome').html());
            $('#mailBoxFlList').html($('#mailBoxFlListIncome').html());
          }

          initEvents();

          init_timeout();
        });
    },  timer);
  }

  function closeAllInfoWindows() {
     for (var i = 0; i < InfoWindows.length; i++) {
       InfoWindows[i].close();
     }
   }

  function getMarker(lat, lng, page) {
    loadid = getParmFromUrl('loadid');

    var filter = $( "#"+loadid+"Form" ).serialize();

    $.post("Plugins/AjaxHandler/map.php",{action:loadid,lat:lat,lng:lng,page:page,filter:filter},function(data) {
      drawMarker(data, loadid);
    });
  }

  function drawMarker(data, loadid) {
    data = data.split('<[#]>');

    //var bounds = new google.maps.LatLngBounds();
    var i = 0;
    var resultsNav = "";
    var dateData = "";
    data.forEach(function(item) {
      newSplit = item.split('<[x]>');
      if(newSplit[0]) {

        if(loadid == 'cnt') {
          var img = '';
          if(newSplit[10] != '') {
            img = '<img class="avatarSmall" style="vertical-align:middle" src="Resources/images/user/'+newSplit[0]+'/'+newSplit[10]+'"> ';
          } else {
            img = '<img class="avatarSmall" style="vertical-align:middle" src="Resources/images/user/dummyAvatar.png"> ';
          }

          resultsNav = resultsNav + "<span class='openMarker' data-id='"+i+"'>"+img+"</span>";

          mailto = "";
          if($('#side').length > 0) {
            mailto = '<span class="mailto  openBox" data-box="chatBox" data-id="'+newSplit[0]+'" data-tooltip="Mail"></span>';
          }

          var contentString = '<div class="infoBox" data-id="'+i+'">'+
                '<h1 class="firstHeading openBox" data-box="profilBox" data-userid="'+newSplit[0]+'">'+img+newSplit[1]+'</h1>'+
                '<p class="firstP">'+newSplit[2]+' ('+newSplit[3]+')</p>'+
                '<p class="firstP">Single: '+newSplit[4]+'</p>'+
                '<p class="firstP">LGBT: '+newSplit[5]+'</p>'+
                '<p class="firstP">Diaet: '+newSplit[6]+'</p>'+
                '<p class="firstP">Religion: '+newSplit[7]+'</p>'+
                mailto +
                '</div>';
        } else if (loadid == 'evt') {

          if(dateData != newSplit[11]) {
            dateData = newSplit[11];
            resultsNav = resultsNav + "<span class='nextDate'><span>"+dateData+"</span></span><span class='openMarker textRow' data-id='"+i+"'>"+newSplit[10]+"</span>";
          } else {
            resultsNav = resultsNav + "<span class='openMarker textRow' data-id='"+i+"'>"+newSplit[10]+"</span>";
          }

          var contentString = '<div class="infoBox" data-id="'+i+'">'+
                '<h1 class="firstHeading openBox" data-box="eventBox" data-eventid="'+newSplit[0]+'">'+newSplit[1]+'</h1>'+
                '<p class="firstP">'+newSplit[2]+' bis '+newSplit[3]+'</p>'+
                '<p class="firstP">Eintritt: '+newSplit[7]+' €</p>'+
                '<p class="firstP">LGBT: '+newSplit[5]+'</p>'+
                '<p class="firstP">Veggie: '+newSplit[6]+'</p>'+
                '<p class="firstP">Religion: '+newSplit[4]+'</p>'+
                '<p class="firstP">Beschreibung: '+newSplit[12]+'</p>'+
                '</div>';
        } else if (loadid == 'enr') {

          resultsNav = resultsNav + "<span class='openMarker textRow' data-id='"+i+"'>"+newSplit[6]+"</span>";

          var contentString = '<div class="infoBox" data-id="'+i+'">'+
                '<h1 class="firstHeading openBox" data-box="enrBox" data-eventid="'+newSplit[0]+'">'+newSplit[1]+'</h1>'+
                '<p class="firstP">Eintritt: '+newSplit[5]+' €</p>'+
                '<p class="firstP">LGBT: '+newSplit[3]+'</p>'+
                '<p class="firstP">Diaet: '+newSplit[4]+'</p>'+
                '<p class="firstP">Religion: '+newSplit[2]+'</p>'+
                '<p class="firstP">Beschreibung: '+newSplit[7]+'</p>'+
                '</div>';
        }

        var newinfowindow = new google.maps.InfoWindow({
          content: contentString
        });

        var geoLoc = {lat: parseFloat(newSplit[8]), lng: parseFloat(newSplit[9])};

        markerAdd = new google.maps.Marker({
          map: map,
          animation: google.maps.Animation.DROP,
          position: geoLoc,
          title: newSplit[1],
          icon: pinImages[1]
        });

        marker.push(markerAdd);
        InfoWindows.push(newinfowindow);

        var obj = marker[i];

        obj.addListener('click', function() {
          closeAllInfoWindows();
          newinfowindow.open(map, obj);
          setTimeout(function() {
            initEvents();
          },  200);
        });

        //var myBounds = new google.maps.LatLng(parseFloat(newSplit[8]), parseFloat(newSplit[9]));
        //bounds.extend(myBounds);

        i++;
      }
    });

    $('#ResultsNav').html(resultsNav);
    addMarkerListEvents();
    //map.fitBounds(bounds);

    //setTimeout(function() {
    //  if(map.getZoom() > 16) {
    //    map.setZoom(16);
    //  }
    //},  200);
  }

  function clearMarkers() {
      setAllMap(null);
    }

  function setAllMap(map) {
    for (var i = 0; i < marker.length; i++) {
      if(marker[i]) {
          marker[i].setMap(map);
      }
    }
  }


  function init_map(mapId) {
     // The location
     lat = 0;
     lng = 0;
     if(mapId == "smallMap") {
       lat = parseFloat($('#smallMap').attr('data-lat'));
       lng = parseFloat($('#smallMap').attr('data-lng'));
     } else if ($('#side').length > 0) {
       lat = parseFloat($('#side').attr('data-lat'));
       lng = parseFloat($('#side').attr('data-lng'));
     }

     if(lat == 0 && lng == 0) {
       lat = parseFloat(52.5243);
       lng = parseFloat(13.4063);
     }

     var geoLoc = {lat: lat, lng: lng};

     //standort pin
     pinImage = new google.maps.MarkerImage("Resources/images/pins/standort.png",
     new google.maps.Size(24, 24),
     new google.maps.Point(0,0),
     new google.maps.Point(8, 18));

     pinImages.push(pinImage);

     //Pin1 pin
     pinImage = new google.maps.MarkerImage("Resources/images/pins/pinImage.png",
     new google.maps.Size(28, 43),
     new google.maps.Point(0,0),
     new google.maps.Point(14, 40));

     pinImages.push(pinImage);

     // The map, centered at geoLoc
     map = new google.maps.Map(document.getElementById(mapId), {zoom: 12, center: geoLoc, disableDefaultUI: true});

     // add pin
     var standort = new google.maps.Marker({
         position: geoLoc,
         map: map,
         title: "Standort",
         icon: pinImages[0],
     });

     //load new Pins
     closeAllInfoWindows();
     InfoWindows = [];
     clearMarkers();
     marker = [];

     getMarker(geoLoc['lat'],geoLoc['lng'],0);

      map.addListener('dragend', function() {
        closeAllInfoWindows();
        InfoWindows = [];
        clearMarkers();
        marker = [];

        lat = map.center.lat();
        lng = map.center.lng();

        $('#side').attr('data-lat',lat);
        $('#side').attr('data-lng',lng);

        getMarker(lat,lng,0);
      });

     // map styles
     var styleArray = [
       {
         featureType: "all",
         stylers: [
           { saturation: -86 },
           { Lightness: -5 }
         ]
       },{
         featureType: "road.arterial",
         elementType: "geometry",
         stylers: [
           { hue: "#2B3ECB" },
           { saturation: 50 }
         ]
       },{
         featureType: "poi.business",
         elementType: "labels",
         stylers: [
           { visibility: "off" }
         ]
       },{
         featureType: "poi.park",
         stylers: [
           { visibility: "off" }
         ]
       },{
         featureType: "poi.school",
         stylers: [
           { visibility: "off" }
         ]
       },{
         featureType: "landscape",
         stylers: [
           { visibility: "off" }
         ]
       },{
         featureType: "poi.attraction",
         stylers: [
           { visibility: "off" }
         ]
       },{
         featureType: "landscape.natural",
         stylers: [
           { visibility: "off" }
         ]
       }
     ];

     map.setOptions({styles: styleArray});
   }

  function init_tooltip() {
    $( "body" ).mousemove(function( event ) {
      tooltip = $( "#tooltip" );
      dom = event.target;
      msg = dom.dataset.tooltip;
      if(msg != "" && msg) {
        if(msg.indexOf('#like#') != -1) {
          msg = msg.split(",");

          newMsg = "";
          msg.forEach(function(item) {
            newSplit = item.split('#like#');
            newMsg += "<span class='"+newSplit[0]+"' style='vertical-align: middle;'></span> "+newSplit[1]+", ";
          });

          msg = newMsg.substr(0, newMsg.length-2);
        }
        tooltip.css('display','block');
        tooltip.html( "<div>" + msg + "</div>" );
        tooltip.css('top',event.pageY+13);
        tooltip.css('left',event.pageX+13);
      } else {
        tooltip.css('display','none');
      }
  });
  }

  function navClose() {
    $('.dropdown').removeClass('open');
  }

  function addMarkerListEvents() {
    $('.openMarker').mouseover(function(e) {
      i = $(this).attr('data-id');
      var obj = marker[i];
      obj.setAnimation(google.maps.Animation.BOUNCE);
    });

    $('.openMarker').mouseout(function(e) {
      i = $(this).attr('data-id');
      var obj = marker[i];
      obj.setAnimation(null);
    });

    $('.openMarker').click(function() {
      i = $(this).attr('data-id');
      var infowindow = InfoWindows[i];
      var obj = marker[i];
      closeAllInfoWindows();

      map.setCenter(obj.position);
      infowindow.open(map, obj);

      setTimeout(function() {
        initEvents();
      },  200);
    });
  }

  function initEvents() {
    $('.filterNow').unbind('click');
    $('.filterNow').click(function(e) {
      closeAllInfoWindows();
      InfoWindows = [];
      clearMarkers();
      marker = [];

      lat = parseFloat($('#side').attr('data-lat'));
      lng = parseFloat($('#side').attr('data-lng'));

      getMarker(lat, lng, 0);

      e.preventDefault();
    });

    $('.openFilter').unbind('click');
    $('.openFilter').click(function() {
      $(this).next().slideToggle();
    });

    $('.searchBtn').unbind('click');
    $('.searchBtn').click(function() {
      if($('.frSearch').css('display') == 'block') {
        $('.frSearch').fadeOut( "fast", function() {
          $('.frTitle').fadeIn( "fast", function() {
            $('.frSearch').html('Search...');
            $.post("Plugins/AjaxHandler/profil.php",{action:'getFriends',userid:loadid},function(data) {
              $('#friendsContent').html(data);
              $('.friendsBox .count').html($('#friendsContent > .openBox').length);
              initEvents();
            });
          });
        });
      } else {
        $('.frTitle').fadeOut( "fast", function() {
          $('.frSearch').fadeIn( "fast", function() {

          });
        });
      }
    });

    $('html').unbind('click');
    $('html').click(function() {
      navClose();
    });

    $('.logout').unbind('click');
    $('.logout').click(function(e) {
      window.location.href = 'index.php?logout=true'

      e.preventDefault();
    });

    $('.deleteMsg').unbind('click');
    $('.deleteMsg').click(function(e) {
      id = $(this).attr('data-id');

      $(this).parent().remove();
      countMinusEins($('#msg > .count'));

      $.post("Plugins/AjaxHandler/profil.php",{action:'delMsg',id:id},function(data) {
      });

      e.preventDefault();
    });

    $('.dropdown').unbind('click');
    $('.dropdown').click(function(e) {
      $('.dropdown').not(this).removeClass('open');

      if($(e.target).is('.dropdown')){
        $(this).toggleClass('open');
      }

      e.stopPropagation();
      e.preventDefault();
    });

    $('.close').unbind('click');
    $('.close').click(function(e) {
      $('.blackField').fadeOut('fast');
      history.pushState('', 'New URL: index.php', 'index.php');

      e.preventDefault();
    });

    $('.blackField').unbind('click');
    $('.blackField').click(function(e) {

      if($(e.target).is('.blackField')){
        $('.blackField').fadeOut('fast');

        history.pushState('', 'New URL: index.php', 'index.php');

        e.preventDefault();
        return;
      } else {
        return;
      }

    });

    $('.openBox').unbind('click');
    $('.openBox').click(function(e) {
      boxClass = $(this).attr('data-box');
      loadid = 0;

      navClose();
      lightboxClose();

      if(boxClass == "mapBox") {
        loadid = $(this).attr('data-id');

        if(loadid == "cnt") {
          $('.blackField').removeClass('evtFilter');
          $('.blackField').removeClass('enrFilter');
          $('.blackField').addClass('cntFilter');
        }

        if(loadid == "evt") {
          $('.blackField').addClass('evtFilter');
          $('.blackField').removeClass('enrFilter');
          $('.blackField').removeClass('cntFilter');
        }

        if(loadid == "enr") {
          $('.blackField').removeClass('evtFilter');
          $('.blackField').addClass('enrFilter');
          $('.blackField').removeClass('cntFilter');
        }
      }

      if(boxClass == "eventBox") {
        loadid = $(this).attr('data-eventid');

        $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:loadid},function(data) {
          $('#eventContent').html(data);
          evtBtn();
          initEvents();
          init_map('smallMap');
        });
      }

      if(boxClass == "msgBox") {
        $.post("Plugins/AjaxHandler/chat.php",{action:'getMailbox'},function(data) {
          $('#msgContent').html(data);
          initEvents();
          mailBoxEvts();
        });
      }

      if(boxClass == "chatBox") {
        loadid = $(this).attr('data-id');

        $.post("Plugins/AjaxHandler/chat.php",{action:'getChat',id:loadid},function(data) {
          $('#chatContent').html(data);
          initEvents();
          mailBoxEvts();

          var chatBoxList = $('#chatBoxList');
          var height = chatBoxList[0].scrollHeight;
          chatBoxList.scrollTop(height);
        });
      }

      if(boxClass == "enrBox") {
        loadid = $(this).attr('data-eventid');

        $.post("Plugins/AjaxHandler/profil.php",{action:'getEnr',eventid:loadid},function(data) {
          $('#enrContent').html(data);
          evtBtn();
          initEvents();
          init_map('smallMap');
        });
      }

      if(boxClass == "optionsBox") {
        loadid = $(this).attr('data-userid');

        $.post("Plugins/AjaxHandler/options.php",{action:'getOptions',userid:loadid},function(data) {
          $('#optionsContent').html(data);
          initOptionBox();
        });
      }

      if(boxClass == "profilBox") {
        loadid = $(this).attr('data-userid');

        $('.profilNav').attr('data-userid', loadid);
        initProfilNav();

        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:loadid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
          editable();
          initEvents();
        });
      }

      if(boxClass == "friendsBox") {
        loadid = $(this).attr('data-userid');
        $('.frSearch').fadeOut( "fast", function() {
          $('.frTitle').fadeIn( "fast", function() {
            $('.frSearch').html('Search...');
          });
        });

        $.post("Plugins/AjaxHandler/profil.php",{action:'getFriends',userid:loadid},function(data) {
          $('#friendsContent').html(data);
          $('.friendsBox .count').html($('#friendsContent > .openBox').length);
          initEvents();
        });
      }

      if($(this).hasClass('acceptFriend') || $(this).hasClass('frienddelete') || $(this).hasClass('ignoreFriend')) {
        loadid = $(this).attr('data-id');

        $(this).remove();
        countMinusEins($('#msg > .count'));

        $.post("Plugins/AjaxHandler/profil.php",{action:'delMsg',id:loadid},function(data) {
        });
      }

      $('.blackField').fadeIn('fast');
      $('.'+boxClass).css('display','block');

      history.pushState('', 'New URL: index.php?page='+boxClass+'&&loadid='+loadid, 'index.php?page='+boxClass+'&&loadid='+loadid);

      if(boxClass == "mapBox") {
        init_map('map');
      }

      e.preventDefault();

    });

    editable();
  }

  function init_Box() {
    boxClass = getParmFromUrl('page');
    loadid = getParmFromUrl('loadid');

    lightboxClose();

    if(boxClass == 0) {
      $('.blackField').fadeOut('fast');
      return;
    }

    if(boxClass == "mapBox") {
      if(loadid == "cnt") {
        $('.blackField').removeClass('evtFilter');
        $('.blackField').removeClass('enrFilter');
        $('.blackField').addClass('cntFilter');
      }

      if(loadid == "evt") {
        $('.blackField').addClass('evtFilter');
        $('.blackField').removeClass('enrFilter');
        $('.blackField').removeClass('cntFilter');
      }

      if(loadid == "enr") {
        $('.blackField').removeClass('evtFilter');
        $('.blackField').addClass('enrFilter');
        $('.blackField').removeClass('cntFilter');
      }

      init_map('map');
    }

    if(boxClass == "eventBox") {
      $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:loadid},function(data) {
        $('#eventContent').html(data);
        evtBtn();
        initEvents();
        init_map('smallMap');
      });
    }

    if(boxClass == "msgBox") {
      $.post("Plugins/AjaxHandler/chat.php",{action:'getMailbox'},function(data) {
        $('#msgContent').html(data);
        initEvents();
        mailBoxEvts();
      });
    }

    if(boxClass == "chatBox") {
      $.post("Plugins/AjaxHandler/chat.php",{action:'getChat',id:loadid},function(data) {
        $('#chatContent').html(data);
        initEvents();
        mailBoxEvts();

        var chatBoxList = $('#chatBoxList');
        var height = chatBoxList[0].scrollHeight;
        chatBoxList.scrollTop(height);
      });
    }

    if(boxClass == "enrBox") {
      $.post("Plugins/AjaxHandler/profil.php",{action:'getEnr',eventid:loadid},function(data) {
        $('#enrContent').html(data);
        evtBtn();
        initEvents();
        init_map('smallMap');
      });
    }

    if(boxClass == "optionsBox") {
      $.post("Plugins/AjaxHandler/options.php",{action:'getOptions',userid:loadid},function(data) {
        $('#optionsContent').html(data);
        initOptionBox();
      });
    }

    if(boxClass == "profilBox") {
      $('.profilNav').attr('data-userid', loadid);
      initProfilNav();

      $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:loadid},function(data) {
        $('#profilContent').html(data);
        friendBtn();
        editable();
        initEvents();
      });
    }

    if(boxClass == "friendsBox") {
      $.post("Plugins/AjaxHandler/profil.php",{action:'getFriends',userid:loadid},function(data) {
        $('#friendsContent').html(data);
        $('.friendsBox .count').html($('#friendsContent > .openBox').length);
        initEvents();
      });
    }

    $('.blackField').fadeIn('fast');
    $('.'+boxClass).css('display','block');
  }

  function initOptionBox() {
    $('.information').unbind('click');
    $('.information').click(function(e) {
      tooltip = $(this).attr('data-tooltip');
      var regex = /<br\s*[\/]?>/gi;
      tooltip = tooltip.replace(regex, "\n");
      alert(tooltip);
    });

    $('.delaccount').unbind('click');
    $('.delaccount').click(function(e) {

      if (confirm('Are you sure you want to delete your Account?')) {
        $.post("Plugins/AjaxHandler/options.php",{action:'delAccount'},function(data) {
          window.location.href = 'index.php?logout=true'
        });
      } else {
          // Do nothing!
      }

      e.preventDefault();
    });

    $('.editmail').unbind('click');
    $('.editmail').click(function(e) {
      $('.newMailInput').slideToggle('fast');
    });

    $('.editpw').unbind('click');
    $('.editpw').click(function(e) {
      $('.newPWInput').slideToggle('fast');
    });

    $('.firmaOp').unbind('click');
    $('.firmaOp').click(function(e) {
      if($(this).prop( "checked" )) {
        $('.connectOp').attr('disabled','true');
        $('.connectOp').removeAttr('checked');
        $('.allocateOp').attr('disabled','true');
        $('.allocateOp').removeAttr('checked');
      } else {
        if($('.mailsOp').prop( "checked" )) {
          $('.connectOp').removeAttr('disabled');
          $('.connectOp').prop('checked','true');
          $('.allocateOp').removeAttr('disabled');
          $('.allocateOp').prop('checked','true');
        } else {
          $('.connectOp').attr('disabled','true');
          $('.connectOp').removeAttr('checked');
          $('.allocateOp').attr('disabled','true');
          $('.allocateOp').removeAttr('checked');
        }
      }

      setOptions();
    });

    $('.mailsOp').unbind('click');
    $('.mailsOp').click(function(e) {
      if($(this).prop( "checked" )) {
        if($('.firmaOp').prop( "checked" )) {
          $('.connectOp').attr('disabled','true');
          $('.connectOp').removeAttr('checked');
          $('.allocateOp').attr('disabled','true');
          $('.allocateOp').removeAttr('checked');
        } else {
          $('.connectOp').removeAttr('disabled');
          $('.connectOp').prop('checked','true');
          $('.allocateOp').removeAttr('disabled');
          $('.allocateOp').prop('checked','true');
        }
      } else {
        $('.connectOp').attr('disabled','true');
        $('.connectOp').removeAttr('checked');
        $('.allocateOp').attr('disabled','true');
        $('.allocateOp').removeAttr('checked');
      }

      setOptions();
    });

    $('.connectOp').unbind('click');
    $('.connectOp').click(function(e) {
      if($(this).prop( "checked" )) {
        $('.allocateOp').removeAttr('disabled');
        $('.allocateOp').prop('checked','true');
      } else {
        $('.allocateOp').attr('disabled','true');
        $('.allocateOp').removeAttr('checked');
      }

      setOptions();
    });

    $('.allocateOp').unbind('click');
    $('.allocateOp').click(function(e) {
      if($(this).prop( "checked" )) {
        $('#side').addClass('allocate');
      } else {
        $('#side').removeClass('allocate');
      }

      setOptions();
    });

    function setOptions() {
      firma = $('.firmaOp').prop( "checked" );
      connect = $('.connectOp').prop( "checked" );
      mails = $('.mailsOp').prop( "checked" );
      allocate = $('.allocateOp').prop( "checked" );

      $.post("Plugins/AjaxHandler/options.php",{action:'setOptions',firma:firma,connect:connect,mails:mails,allocate:allocate},function(data) {
      });
    }

  }

  function mailBoxEvts() {
    $('#chatSend').unbind('click');
    $('#chatSend').click(function(e) {
      id = $('#chatid').attr('data-id');
      dataVal = $(this).prev().val();
      dataVal = dataVal.replace(/\n/g, "<br>");

      $(this).prev().val('');

      $.post("Plugins/AjaxHandler/chat.php",{action:'sendChat',id:id,text:dataVal},function(data) {
        htmlDump = "<div class='chatLine sendChat'><span>"+dataVal+"</span></div>";
        $('#chatBoxList').append(htmlDump);

        var chatBoxList = $('#chatBoxList');
        var height = chatBoxList[0].scrollHeight;
        chatBoxList.scrollTop(height);
      });
    });
  }

  function initProfilNav() {

    $('.navProfilIco').unbind('click');
    $('.navProfilIco').click(function(e) {
      loadid = $('.profilNav').attr('data-userid');

      $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:loadid},function(data) {
        $('#profilContent').html(data);
        friendBtn();
        editable();
        initEvents();
      });
    });

    $('.navEventsIco').unbind('click');
    $('.navEventsIco').click(function(e) {
      loadid = $('.profilNav').attr('data-userid');

      $.post("Plugins/AjaxHandler/profil.php",{action:'getEvents',userid:loadid},function(data) {
        $('#profilContent').html(data);
        editable();
        evtBtn();
        initEvents();
      });
    });

    $('.navEinrichtungsIco').unbind('click');
    $('.navEinrichtungsIco').click(function(e) {
      loadid = $('.profilNav').attr('data-userid');

      $.post("Plugins/AjaxHandler/profil.php",{action:'getEinrichtungen',userid:loadid},function(data) {
        $('#profilContent').html(data);
        editable();
        evtBtn();
        initEvents();
      });
    });
  }

  function countMinusEins(p) {
    count = parseInt(p.html());
    count--;
    p.html(count);

    if(count == 0) {
      p.remove();
    }
  }

  function countPlusEins(p) {
    count = parseInt(p.html());
    count++;
    p.html(count);
  }

  function evtBtn() {
    $('#saveEnr').unbind('click');
    $('#saveEnr').click(function(e) {
      id = $(this).attr('data-id');
      var ok = 1;

      // adresse ready
      if(!$('.enrBox .adressDaten').hasClass('PositionOk')) {
        ok = 0;
      }

      if(ok == 1) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'saveEnr',id:id},function(data) {
          $.post("Plugins/AjaxHandler/profil.php",{action:'getEnr',eventid:id},function(data) {
            $('#enrContent').html(data);
            evtBtn();
            initEvents();
            init_map('smallMap');

            lightboxClose();
            $('.blackField').fadeIn('fast');
            $('.enrBox').css('display','block');

            editable();

            e.preventDefault();
          });
        });
      } else {
        alert('Error: Fill Position!');
      }

    });

    $('#saveEvent').unbind('click');
    $('#saveEvent').click(function(e) {
      id = $(this).attr('data-id');
      var ok = 1;

      // adresse ready
      if(!$('.eventBox .adressDaten').hasClass('PositionOk')) {
        ok = 0;
      }

      // datum $ready
      if($('.evtstart').html() == "" && $('.evtende').html() == "") {
        ok = 0;
      }

      if(ok == 1) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'saveEvent',id:id},function(data) {
          $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:id},function(data) {
            $('#eventContent').html(data);
            evtBtn();
            initEvents();
            init_map('smallMap');

            lightboxClose();
            $('.blackField').fadeIn('fast');
            $('.eventBox').css('display','block');

            editable();

            e.preventDefault();
          });
        });
      } else {
        alert('Error: Fill Date and Position!');
      }

    });

    $('#neuesEinr').unbind('click');
    $('#neuesEinr').click(function(e) {

      var evtname = prompt("Please enter name", "");

      if (evtname != null) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'addEnr',evtname:evtname},function(data) {
          loadid = data;
          history.pushState('', 'New URL: index.php?page=enrBox&&loadid='+loadid, 'index.php?page=enrBox&&loadid='+loadid);

          $.post("Plugins/AjaxHandler/profil.php",{action:'getEnr',eventid:loadid},function(data) {
            $('#enrContent').html(data);
            evtBtn();
            initEvents();

            lightboxClose();
            $('.blackField').fadeIn('fast');
            $('.enrBox').css('display','block');

            editable();

            e.preventDefault();
          });
        });
      }

    });

    $('#neuesEvent').unbind('click');
    $('#neuesEvent').click(function(e) {

      var evtname = prompt("Please enter name", "");

      if (evtname != null) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'addEvent',evtname:evtname},function(data) {
          loadid = data;
          history.pushState('', 'New URL: index.php?page=eventBox&&loadid='+loadid, 'index.php?page=eventBox&&loadid='+loadid);

          $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:loadid},function(data) {
            $('#eventContent').html(data);
            evtBtn();
            initEvents();

            lightboxClose();
            $('.blackField').fadeIn('fast');
            $('.eventBox').css('display','block');

            editable();

            e.preventDefault();
          });
        });
      }

    });

    $('#teilnahmeEvent').unbind('click');
    $('#teilnahmeEvent').click(function(e) {
      evtid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'evtTeilnahme',evtid:evtid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:evtid},function(data) {
          $('#eventContent').html(data);
          evtBtn();
          initEvents();
          init_map('smallMap');
        });
      });
    });

    $('#teilnahmeEventabbrechen').unbind('click');
    $('#teilnahmeEventabbrechen').click(function(e) {
      evtid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'evtTeilnahmeAbbrechen',evtid:evtid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getEvent',eventid:evtid},function(data) {
          $('#eventContent').html(data);
          evtBtn();
          initEvents();
          init_map('smallMap');
        });
      });
    });
  }

  function friendBtn() {
    $('#addFriend').unbind('click');
    $('#addFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'addFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });

    $('#abortFriend').unbind('click');
    $('#abortFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $('.friendadd').each(function( index ) {
        itId = $(this).attr('data-userid');
        if(itId == fid) {
          $(this).remove();
          countMinusEins($('#msg > .count'));
        }
      });

      $.post("Plugins/AjaxHandler/profil.php",{action:'abortFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });

    $('#acceptFriend').unbind('click');
    $('#acceptFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $('.friendadd').each(function( index ) {
        itId = $(this).attr('data-userid');
        if(itId == fid) {
          $(this).remove();
          countMinusEins($('#msg > .count'));
        }
      });

      $.post("Plugins/AjaxHandler/profil.php",{action:'acceptFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });

    $('#ignoreFriend').unbind('click');
    $('#ignoreFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'ignoreFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });

    $('#rmIgnoreFriend').unbind('click');
    $('#rmIgnoreFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'rmIgnoreFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });

    $('#declineFriend').unbind('click');
    $('#declineFriend').click(function(e) {
      fid = $(this).attr('data-id');

      $.post("Plugins/AjaxHandler/profil.php",{action:'declineFriend',fid:fid},function(data) {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getProfil',userid:fid},function(data) {
          $('#profilContent').html(data);
          friendBtn();
        });
      });
    });
  }

  function upload_file(action) {

    var formData = new FormData($("form#submit_pic")[0]);
    $.ajax({
        url: 'Plugins/AjaxHandler/upload.php?&&action='+action, // point to server-side PHP script
        dataType: 'text',  // what to expect back from the PHP script, if anything
        cache: false,
        contentType: false,
        processData: false,
        data: formData,
        type: 'post',
        success: function(data){
          //alert(data); // display response from the PHP script, if any
        }
     });
  }

  function editable() {
    $('.deleteable').unbind('click');
    $('.deleteable').click(function(e) {
      id = $(this).attr('data-id');
      dataField = $(this).attr('data-field');

      if (confirm('Delete?')) {
        $(this).prev().remove();
        $(this).remove();

        $.post("Plugins/AjaxHandler/profil.php",{action:'delete',field:dataField,id:id},function(data) {
        });
      } else {
          // Do nothing!
      }
    });

    $('.picEditable').unbind('click');
    $('.picEditable').click(function(e) {
      $("#avatarFile").trigger('click');
    });

    $('#avatarFile').unbind('change');
    $('#avatarFile').change(function (e) {
        if (this.files && this.files[0]) {
          var reader = new FileReader();

          reader.onload = function(e) {
            $(".avatarBig").attr('src',e.target.result);
          }

          reader.readAsDataURL(this.files[0]);

          upload_file("setProfil");
        }
    });

    $('.editable').unbind('click');
    $('.editable').click(function(e) {
      editTyp = $(this).attr('data-edit');
      dataField = $(this).attr('data-field');
      p = $(this);
      htmlDump = "<input type='text' value='"+$(this).html()+"'><input data-field='"+dataField+"' type='submit' value='save'>";

      if(editTyp == "text") {
        $(this).html(htmlDump);
        $(this).find(':submit').click(function(e) {
          dataField = $(this).attr('data-field');
          dataText = $(this).prev().val();
          evtId = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'editField',field:dataField,text:dataText, evtid:evtId},function(data) {
            $('.'+dataField).html(data);

            if(dataField == "strasse" || dataField == "plz" || dataField == "ort") {
              adresse = $('.strasse').html() + ", " + $('.plz').html() + " " + $('.ort').html();

              var ok = 1;

              if($('.strasse').html() == "") {
                ok = 0;
              }

              if($('.plz').html() == "") {
                ok = 0;
              }

              if($('.ort').html() == "") {
                ok = 0;
              }

              if(ok == 1) {
                codeAddress(adresse, "userPosition");
              } else {
                $('.profilBox .adressDaten').css('border','1px solid #f00');
                $('.profilBox .adressDaten').removeClass('PositionOk');

                $.post("Plugins/AjaxHandler/profil.php",{action:'setPosition',lat:'0',lng:'0'},function(data) {
                });
              }
            }

            if(dataField == "evtstrasse" || dataField == "evtplz" || dataField == "evtort") {
              adresse = $('.evtstrasse').html() + ", " + $('.evtplz').html() + " " + $('.evtort').html();
              var ok = 1;

              if($('.evtstrasse').html() == "") {
                ok = 0;
              }

              if($('.evtplz').html() == "") {
                ok = 0;
              }

              if($('.evtort').html() == "") {
                ok = 0;
              }

              if(ok == 1) {
                codeAddress(adresse, "eventPosition");
              } else {
                $('.eventBox .adressDaten').css('border','1px solid #f00');
                $('.eventBox .adressDaten').removeClass('PositionOk');
                todoid = getParmFromUrl('loadid');

                $.post("Plugins/AjaxHandler/profil.php",{action:'setEvtPosition',lat:'0',lng:'0',evtid:todoid},function(data) {
                });
              }
            }

            if(dataField == "enrstrasse" || dataField == "enrplz" || dataField == "enrort") {
              adresse = $('.enrstrasse').html() + ", " + $('.enrplz').html() + " " + $('.enrort').html();
              var ok = 1;

              if($('.enrstrasse').html() == "") {
                ok = 0;
              }

              if($('.enrplz').html() == "") {
                ok = 0;
              }

              if($('.enrort').html() == "") {
                ok = 0;
              }

              if(ok == 1) {
                codeAddress(adresse, "enrPosition");
              } else {
                $('.enrBox .adressDaten').css('border','1px solid #f00');
                $('.enrBox .adressDaten').removeClass('PositionOk');
                todoid = getParmFromUrl('loadid');

                $.post("Plugins/AjaxHandler/profil.php",{action:'setenrPosition',lat:'0',lng:'0',evtid:todoid},function(data) {
                });
              }
            }

            $('.'+dataField).addClass('editable');
            editable();
          });
        });
      } else if(editTyp == "gender") {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getGender'},function(data) {
          $('.'+dataField).html(data);

          //init click on submit
          $('.'+dataField).find(':submit').click(function(e) {
            dataField = $(this).attr('data-field');
            dataText = $(this).prev().val();

            $.post("Plugins/AjaxHandler/profil.php",{action:'editGender',field:dataField,text:dataText},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          });
        });
      } else if(editTyp == "age") {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getAge'},function(data) {
          $('.'+dataField).html(data);

          //init click on submit
          $('.'+dataField).find(':submit').click(function(e) {
            dataField = $(this).attr('data-field');
            dataText = $(this).prev().val();

            $.post("Plugins/AjaxHandler/profil.php",{action:'editAge',field:dataField,text:dataText},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          });
        });
      } else if(editTyp == "diaet") {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getDiaet'},function(data) {
          $('.'+dataField).html(data);

          //init click on submit
          $('.'+dataField).find(':submit').click(function(e) {
            dataField = $(this).attr('data-field');
            dataText = $(this).prev().val();

            $.post("Plugins/AjaxHandler/profil.php",{action:'editDiaet',field:dataField,text:dataText},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          });
        });
      } else if(editTyp == "angebot") {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getAngebot',dataField:dataField},function(data) {
          $('.'+dataField).html(data);

          //init click on submit
          $('.'+dataField).find(':submit').click(function(e) {
            dataField = $(this).attr('data-field');
            dataText = $(this).prev().val();
            evtId = getParmFromUrl('loadid');

            $.post("Plugins/AjaxHandler/profil.php",{action:'editAngebot',field:dataField,text:dataText,evtid:evtId},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          });
        });
      } else if(editTyp == "religion") {
        $.post("Plugins/AjaxHandler/profil.php",{action:'getReli',dataField:dataField},function(data) {
          $('.'+dataField).html(data);

          //init click on submit
          $('.'+dataField).find(':submit').click(function(e) {
            dataField = $(this).attr('data-field');
            dataText = $(this).prev().val();
            evtId = getParmFromUrl('loadid');

            $.post("Plugins/AjaxHandler/profil.php",{action:'editReli',field:dataField,text:dataText,evtid:evtId},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          });
        });
      } else if(editTyp == "bool") {
        htmlDump = "<input type='checkbox' value='bool' name='bool'><input data-field='"+dataField+"' type='submit' value='save'>";
        $(this).html(htmlDump);

        $(this).find(':submit').click(function(e) {
          dataField = $(this).attr('data-field');
          dataVal = $(this).prev().prop( "checked" );
          evtId = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'editBool',field:dataField,val:dataVal,evtid:evtId},function(data) {
            $('.'+dataField).html(data);
            $('.'+dataField).addClass('editable');
            editable();
          });
        });
      } else if(editTyp == "float") {
        htmlDump = "<input type='number' step='0.50' value='0.00' name='float'><input data-field='"+dataField+"' type='submit' value='save'>";
        $(this).html(htmlDump);

        $(this).find(':submit').click(function(e) {
          dataField = $(this).attr('data-field');
          dataVal = $(this).prev().val();
          evtId = getParmFromUrl('loadid');

          $.post("Plugins/AjaxHandler/profil.php",{action:'editFloat',field:dataField,val:dataVal,evtid:evtId},function(data) {
            $('.'+dataField).html(data);
            $('.'+dataField).addClass('editable');
            editable();
          });
        });
      } else if(editTyp == "datum") {
        htmlDump = "<input type='text' class='datepicker'><input data-field='"+dataField+"' type='submit' value='save'>";
        $(this).html(htmlDump);

        init_datetimepicker();

        $(this).find(':submit').click(function(e) {
          dataField = $(this).attr('data-field');
          dataVal = $(this).prev().val();
          evtId = getParmFromUrl('loadid');

          if(dataVal != "") {
            $.post("Plugins/AjaxHandler/profil.php",{action:'editDate',field:dataField,val:dataVal, evtid:evtId},function(data) {
              $('.'+dataField).html(data);
              $('.'+dataField).addClass('editable');
              editable();
            });
          }
        });
      } else if(editTyp == "textarea") {
        dataVal = $(this).html();
        dataVal = dataVal.replace(/<br\s?\/?>/g,"\n");
        dataVal = dataVal.replace(/\s+$/,"") //remove trailing white space
        dataVal = dataVal.replace(/^\s+/,"") //remove leading white space
        dataVal = dataVal.replace(/\ +\n/g,"\n") //remove trailing white space on line
        dataVal = dataVal.replace(/\n\ +/g,"\n") //remove leading white space on line

        htmlDump = "<textarea class='descEvt'>"+dataVal+"</textarea><input data-field='"+dataField+"' type='submit' value='save'>";
        $(this).html(htmlDump);

        $(this).find(':submit').click(function(e) {
          dataField = $(this).attr('data-field');
          dataVal = $(this).prev().val();
          evtId = getParmFromUrl('loadid');

          dataVal = dataVal.replace(/\n/g, "<br>");

          $.post("Plugins/AjaxHandler/profil.php",{action:'editText',field:dataField,val:dataVal, evtid:evtId},function(data) {
            $('.'+dataField).html(data);
            $('.'+dataField).addClass('editable');
            editable();
          });
        });
      }

      $(this).removeClass('editable');
      $(this).unbind('click');

      e.preventDefault();
    });
  }

  function init_datetimepicker() {
    $('.datepicker').each(function( index ) {
      if(!$( this ).hasClass('hasDatepicker')) {
        $( this ).datetimepicker({
            formatDate:'m/d/Y',
            format:'m/d/Y H:i',
            formatTime:'H:i',
        });

        $( this ).addClass('hasDatepicker');
      }
    });

  }

  function lightboxClose() {
    $('.lightbox').css('display','none');
  }

  function $_GET(param) {
  	var vars = {};
  	window.location.href.replace( location.hash, '' ).replace(
  		/[?&]+([^=&]+)=?([^&]*)?/gi, // regexp
  		function( m, key, value ) { // callback
  			vars[key] = value !== undefined ? value : '';
  		}
  	);

  	if ( param ) {
  		return vars[param] ? vars[param] : null;
  	}
  	return vars;
  }

  window.onpopstate = function(e){
    init_Box();
  }

  function getParmFromUrl(parm) {
    var re = new RegExp(".*[?&]" + parm + "=([^&]+)(&|$)");
    var match = window.location.href.match(re);

    if(match) {
      return match[1];
    } else {
      return 0;
    }
  }

})(jQuery);
