<?php
session_start();

include_once 'autoload.php';

$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == "getFriends") {
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);
    $load_text = '%'.$load_text.'%';

    if(login_check($mysqli) == true && strlen($load_text) > 4) {
      $data = array();
      $stmt = $mysqli->prepare("SELECT user_id FROM lotus_user WHERE vorname LIKE ? OR nachname LIKE ? OR nick LIKE ?");
      $stmt->bind_param('sss', $load_text, $load_text, $load_text);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($user_id);

      while ($row = $stmt->fetch()){
        $data[] = $user_id;
      }
      $stmt->close();

      foreach ($data as &$value) {
        $userdetails = getUserDetails($value, $mysqli);
        $avatar = getPictureSrc($userdetails[0]['user_id'], $mysqli);

        echo "<div class='openBox' data-box='profilBox' data-userid='".$userdetails[0]['user_id']."'>";
        echo "<span class='inline-block'><img class='avatarSmall' src='".$avatar."'></span>";
        echo "<span class='inline-block' style='width: 145px; padding-left: 5px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
        echo "</div>";
      }
    }
  }
}
