<?php

include_once 'Plugins/Init/mysql.php';
include_once 'Plugins/Init/translation.php';

//start language
$langShort = "de";

if ($_SERVER["HTTP_ACCEPT_LANGUAGE"]) {
  $langs = explode(",", $_SERVER["HTTP_ACCEPT_LANGUAGE"]);
  $langs = explode("-", $langs[0]);
  $langShort = $langs[0];
}

$langFile = new SimpleTranslation();
$langFile->loadTranslationFile("Resources/Language/".$langShort."_page.xml");

//plugins
include_once 'Plugins/Init/functions.php';

//start Twitter
require 'vendor/autoload.php';
require 'Plugins/Init/twitter.php';

//start facebook
include_once 'Plugins/Init/facebook.php';

//google allocate
$allocate = "";
if(login_check($mysqli) == true) {
  $userdetails = getUserDetails($_SESSION['user_id'], $mysqli);

  if($userdetails[0]['allocate'] == 1) {
    $allocate = "allocate";
  }
}
